GCLOUD_COMPUTE_TARGET-POOLS_ADD-HEALTH-CHECKS(1)

NAME

gcloud compute target-pools add-health-checks - add an HTTP health check to a target pool

SYNOPSIS

gcloud compute target-pools add-health-checks NAME --http-health-check HEALTH_CHECK [--region REGION] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute target-pools add-health-checks is used to add an HTTP health check to a target pool. Health checks are used to determine the health status of instances in the target pool. Only one health check can be attached to a target pool, so this command will fail if there as already a health check attached to the target pool. For more information on health checks and load balancing, see https://cloud.google.com/compute/docs/load-balancing-and-autoscaling/.

POSITIONAL ARGUMENTS
NAME
    The name of the target pool to which to add the health check.

REQUIRED FLAGS
--http-health-check HEALTH_CHECK
    Specifies an HTTP health check object to add to the target pool.

OPTIONAL FLAGS
--region REGION
    The region of the target pool to add health checks to. If not specified, you will be prompted to select a region. To avoid prompting when this flag is omitted, you can set the compute/region property:
        $ gcloud config set compute/region REGION
    A list of regions can be fetched by running:
        $ gcloud compute regions list
    To unset the property, run:
        $ gcloud config unset compute/region
    Alternatively, the region can be stored in the environment variable CLOUDSDK_COMPUTE_REGION.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.